body{
    margin: 0;
    padding: 0;
    font-family: sans-serif;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    padding: 10px 20px;
    border: 2px solid #262626;
    text-decoration: none;
    text-transform: uppercase;
    letter-spacing: 2px;
    color: #262626;
    box-sizing: border-box;
    transition: .5s;
}
a span:before,
a span:after{
    content: '';
    position: absolute;
    display: block;
    width: 30px;
    height: 30px;
    box-sizing: border-box;
    transition: .5s;
}
a span:before{
    border-bottom: 2px solid #262626;
    border-left: 2px solid #262626;
    transform: rotate(45deg);
    top: 4px;
    left: -8px;
}
a:hover span:before{
    left: -25px;
    transform: rotate(-135deg);
    animation: animationBefore .5s linear infinite;
}

a span:after{
    border-top: 2px solid #262626;
    border-right: 2px solid #262626;
    transform: rotate(45deg);
    top: 4px;
    right: -8px;
}
a:hover span:after{
    right: -25px;
    transform: rotate(-135deg);
    animation: animationAfter .5s linear infinite;
}
a:hover{
    border-radius: 20px ;
}
@keyframes animationBefore
{
    0%{
        left: -25px;
    }
    50%{
        left:-20px;
    }
    100%{
        left: -25px;
    }
}
@keyframes animationAfter
{
    0%{
        right: -25px;
    }
    50%{
        right:-20px;
    }
    100%{
        right: -25px;
    }
}